// sepia.fs
//
// przekształcenie RGB na kolor sepia

void main(void)
{
    // Przekształcenie RGB do skali szarości
    float gray = dot(gl_Color.rgb, vec3(0.3, 0.59, 0.11));

    // przekształcenie skali szarości na kolor sepia
    gl_FragColor = vec4(gray * vec3(1.2, 1.0, 0.8), 1.0);
}

